## org.apache.poi.hslf.record
Class DocumentEncryptionAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.DocumentEncryptionAtom

    public final class DocumentEncryptionAtom

extends RecordAtom

A Document Encryption Atom (type 12052). Holds information on the Encryption of a Document

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `DocumentEncryptionAtom(byte[] source, int start, int len)` For the Document Encryption Atom

Method Summary
`java.lang.String` `getEncryptionProviderName()` Return the name of the encryption provider used
`int` `getKeyLength()` Return the length of the encryption key, in bits
`long` `getRecordType()` We are of type 12052
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentEncryptionAtom

    protected DocumentEncryptionAtom(byte[] source,
                                     int start,
                                     int len)

  For the Document Encryption Atom

Method Detail

### getKeyLength

    public int getKeyLength()

  Return the length of the encryption key, in bits

### getEncryptionProviderName

    public java.lang.String getEncryptionProviderName()

  Return the name of the encryption provider used

### getRecordType

    public long getRecordType()

  We are of type 12052

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.